extends Button


@export var dragon_adder: PackedScene
@onready var base: GameManager = $"../.."


func _on_pressed() -> void:
	var adder: DragonAdder = dragon_adder.instantiate()
	adder.dragon_added.connect(_add_dragon)
	
	var window_position: Vector2i = DisplayServer.window_get_position()
	var window_size: Vector2i = DisplayServer.window_get_size()
	
	adder.position = window_position - adder.size / 2
	
	adder.show()
	add_child(adder)


func _add_dragon(dragon_name: String, hat: Texture2D, shirt: Texture2D, shoes: Texture2D):
	base.add_dragon(hat, shirt, shoes, dragon_name)
